Page MenuHomePhabricator

exportEntityMapping maintenance script should read database credentials from LocalSettings.php instead of requiring ~/.my.cnf
Closed, ResolvedPublic

Description

Instead of requiring a properly set up ~/.my.cnf file, maintenance/exportEntityMapping could simply read the database access credentials from LocalSettings.php. It could then write them to a temporary file (chmod 600!) and pass that to the mysql command line with --defaults-extra-file.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2018, 3:27 PM
Lucas_Werkmeister_WMDE triaged this task as Lowest priority.Apr 27 2018, 3:28 PM

Change 429446 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Read database credentials from LocalSettings.php

https://gerrit.wikimedia.org/r/429446

Change 429446 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Read database credentials from LocalSettings.php

https://gerrit.wikimedia.org/r/429446

Vvjjkkii renamed this task from exportEntityMapping maintenance script should read database credentials from LocalSettings.php instead of requiring ~/.my.cnf to 82daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Lucas_Werkmeister_WMDE as the assignee of this task.
Vvjjkkii raised the priority of this task from Lowest to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 82daaaaaaa to exportEntityMapping maintenance script should read database credentials from LocalSettings.php instead of requiring ~/.my.cnf.Jul 2 2018, 8:22 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot lowered the priority of this task from High to Lowest.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.